KNetwork::KResolverResults Class Reference

`#include <kresolver.h>`

Inherits QValueList< T >.

## Public Member Functions

| KResolverResults ()
| KResolverResults (const KResolverResults &other)
virtual | ~KResolverResults ()
KResolverResults & | operator= (const KResolverResults &other)
int | error () const
int | systemError () const
void | setError (int errorcode, int systemerror=0)
QString | nodeName () const
QString | serviceName () const
void | setAddress (const QString &host, const QString &service)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Name and service resolution results.

This object contains the results of a name and service resolution, as those performed by KResolver. It is also a descendant of QValueList, so you may use all its member functions here to access the elements.

A KResolverResults object is associated with a resolution, so, in addition to the resolved elements, you can also retrieve information about the resolution process itself, like the nodename that was resolved or an error code.

Note Resolver also uses KResolverResults objects to indicate failure, so you should test for failure.

Author
  Thiago Macieira thiag.nosp@m.o.ma.nosp@m.cieir.nosp@m.a@kd.nosp@m.email.nosp@m..net

Definition at line 197 of file kresolver.h.

## Constructor & Destructor Documentation

KResolverResults::KResolverResults | ( |  | ) |

Default constructor.

Constructs an empty list.

Definition at line 208 of file kresolver.cpp.

KResolverResults::KResolverResults | ( | const KResolverResults & | other | ) |

Copy constructor.

Creates a new object with the contents of the other one. Data will be shared by the two objects, like QValueList

Definition at line 214 of file kresolver.cpp.

KResolverResults::~KResolverResults | ( |  | ) |

virtual

Destructor.

Destroys the object and frees associated resources.

Definition at line 221 of file kresolver.cpp.

## Member Function Documentation

int KResolverResults::error | ( |  | ) | const

Retrieves the error code associated with this resolution.

The values here are the same as in KResolver::ErrorCodes.

Definition at line 243 of file kresolver.cpp.

QString KResolverResults::nodeName | ( |  | ) | const

The nodename to which the resolution was performed.

Definition at line 262 of file kresolver.cpp.

KResolverResults & KResolverResults::operator= | ( | const KResolverResults & | other | ) |

Assignment operator.

Copies the contents of the other container into this one, discarding our current values.

Definition at line 228 of file kresolver.cpp.

QString KResolverResults::serviceName | ( |  | ) | const

The service name to which the resolution was performed.

Definition at line 268 of file kresolver.cpp.

void KResolverResults::setAddress | ( | const QString & | host,
|  | const QString & | service
| ) |  |

Sets the new nodename and service name.

Definition at line 274 of file kresolver.cpp.

void KResolverResults::setError | ( | int | errorcode,
|  | int | systemerror = `0`
| ) |  |

Sets the error codes.

Parameters

  errorcode | the error code in KResolver::ErrorCodes
  systemerror | the system error code associated, if any

Definition at line 255 of file kresolver.cpp.

int KResolverResults::systemError | ( |  | ) | const

Retrieves the system error code, if any.

See also
  KResolver::systemError for more information

Definition at line 249 of file kresolver.cpp.

The documentation for this class was generated from the following files:

- kresolver.h
- kresolver.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys